### Hierarchy

- unknown
  - DelayedPayoutTxSignatureRequest

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getDelayedPayoutTx
- getDelayedPayoutTxSellerSignature
- getDelayedPayoutTxSellerSignature_asB64
- getDelayedPayoutTxSellerSignature_asU8
- getDelayedPayoutTx_asB64
- getDelayedPayoutTx_asU8
- getSenderNodeAddress
- getTradeId
- getUid
- hasSenderNodeAddress
- serializeBinary
- setDelayedPayoutTx
- setDelayedPayoutTxSellerSignature
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DelayedPayoutTxSignatureRequest(): DelayedPayoutTxSignatureRequest

- Inherited from jspb.Message.constructor

  #### Returns DelayedPayoutTxSignatureRequest

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1649

  #### Returns DelayedPayoutTxSignatureRequest

### getDelayedPayoutTx

- getDelayedPayoutTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1651

  #### Returns string | Uint8Array

### getDelayedPayoutTxSellerSignature

- getDelayedPayoutTxSellerSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1656

  #### Returns string | Uint8Array

### getDelayedPayoutTxSellerSignature_asB64

- getDelayedPayoutTxSellerSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1658

  #### Returns string

### getDelayedPayoutTxSellerSignature_asU8

- getDelayedPayoutTxSellerSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1657

  #### Returns Uint8Array

### getDelayedPayoutTx_asB64

- getDelayedPayoutTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1653

  #### Returns string

### getDelayedPayoutTx_asU8

- getDelayedPayoutTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1652

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1646

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1643

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1640

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1648

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1661

  #### Returns Uint8Array

### setDelayedPayoutTx

- setDelayedPayoutTx(value: string | Uint8Array): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1654

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DelayedPayoutTxSignatureRequest

### setDelayedPayoutTxSellerSignature

- setDelayedPayoutTxSellerSignature(value: string | Uint8Array): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1659

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DelayedPayoutTxSignatureRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1647

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DelayedPayoutTxSignatureRequest

### setTradeId

- setTradeId(value: string): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1644

  #### Parameters

  - ##### value: string

  #### Returns DelayedPayoutTxSignatureRequest

### setUid

- setUid(value: string): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1641

  #### Parameters

  - ##### value: string

  #### Returns DelayedPayoutTxSignatureRequest

### toObject

- toObject(includeInstance?: boolean): DelayedPayoutTxSignatureRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1662

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DelayedPayoutTxSignatureRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1665

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DelayedPayoutTxSignatureRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DelayedPayoutTxSignatureRequest, reader: BinaryReader): DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:1666

  #### Parameters

  - ##### message: DelayedPayoutTxSignatureRequest

  - ##### reader: BinaryReader

  #### Returns DelayedPayoutTxSignatureRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DelayedPayoutTxSignatureRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1664

  #### Parameters

  - ##### message: DelayedPayoutTxSignatureRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DelayedPayoutTxSignatureRequest ): DelayedPayoutTxSignatureRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1663

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DelayedPayoutTxSignatureRequest

  #### Returns DelayedPayoutTxSignatureRequest . AsObject

Generated using TypeDoc